aboutsummaryrefslogtreecommitdiffstats
path: root/docker_merge.sh
diff options
context:
space:
mode:
authorPamela Dragosh <pdragosh@research.att.com>2017-03-23 07:44:56 -0400
committerPamela Dragosh <pdragosh@research.att.com>2017-03-24 08:59:02 -0400
commite9f737a9b7287afd91e5b56580825fcccb8c8b9d (patch)
tree6b08dfaa67e31f7e28864bf7ca455f47484aae4e /docker_merge.sh
parent17722e785cdf499afefb47b1aeec088e1496ddd9 (diff)
changing to NEXUS_DOCKER_REPO via Marco. Tags
Change-Id: I8cdbf98141070f89dd3c668a1aa3317fc9df2683 Signed-off-by: Pamela Dragosh <pdragosh@research.att.com>
Diffstat (limited to 'docker_merge.sh')
-rwxr-xr-xdocker_merge.sh45
1 files changed, 35 insertions, 10 deletions
diff --git a/docker_merge.sh b/docker_merge.sh
index 43e759a7..076f84b7 100755
--- a/docker_merge.sh
+++ b/docker_merge.sh
@@ -1,20 +1,37 @@
#!/bin/bash
#
echo '============== STARTING SCRIPT TO BUILD DOCKER IMAGES ================='
-#
-# THIS SHOULD POINT TO THE SNAPSHOT repo
-#
DOCKER_REPOSITORY=nexus3.openecomp.org:10003
-#
-# Should be appended with -SNAPSHOT
-#
MVN_VERSION=$(cat target/version)
+MVN_MAJMIN_VERSION=$(cut -f 1,2 -d . target/version)
TIMESTAMP=$(date -u +%Y%m%dT%H%M%S)
echo $DOCKER_REPOSITORY
echo $MVN_VERSION
+echo $MVN_MAJMIN_VERSION
echo $TIMESTAMP
+if [[ -z $MVN_VERSION ]]
+then
+ echo "MVN_VERSION is empty"
+ exit 1
+fi
+
+if [[ -z $MVN_MAJMIN_VERSION ]]
+then
+ echo "MVN_MAJMIN_VERSION is empty"
+ exit 1
+fi
+
+if [[ $MVN_VERSION == *"SNAPSHOT"* ]]
+then
+ MVN_MAJMIN_VERSION="${MVN_MAJMIN_VERSION}-SNAPSHOT"
+else
+ MVN_MAJMIN_VERSION="${MVN_MAJMIN_VERSION}-STAGING"
+fi
+
+echo $MVN_MAJMIN_VERSION
+
cp policy-pe/* target/policy-pe/
cp policy-drools/* target/policy-drools/
@@ -23,21 +40,29 @@ for image in policy-os policy-nexus policy-db policy-base policy-drools policy-p
mkdir -p target/$image
cp $image/* target/$image
+ #
+ # This is the local latest tagged image. The Dockerfile's need this to build images
+ #
TAGS="--tag openecomp/policy/${image}:latest"
- TAGS="${TAGS} --tag ${DOCKER_REPOSITORY}/openecomp/policy/${image}:latest"
- TAGS="${TAGS} --tag openecomp/policy/${image}:${MVN_VERSION}-${TIMESTAMP}"
+ #
+ # This has the nexus repo prepended and only major/minor version with latest
+ #
+ TAGS="${TAGS} --tag ${DOCKER_REPOSITORY}/openecomp/policy/${image}:${MVN_MAJMIN_VERSION}-latest"
+ #
+ # This has the nexus repo prepended and major/minor/patch version with timestamp
+ #
TAGS="${TAGS} --tag ${DOCKER_REPOSITORY}/openecomp/policy/${image}:${MVN_VERSION}-${TIMESTAMP}"
echo $TAGS
docker build --quiet $TAGS target/$image
- docker images
done
#
-# NO latest tag. SNAPSHOTS are for internal testing
+# Push images
#
for image in policy-nexus policy-db policy-drools policy-pe; do
echo "Pushing $image"
+ docker push ${DOCKER_REPOSITORY}/openecomp/policy/$image:${MVN_MAJMIN_VERSION}-latest
docker push ${DOCKER_REPOSITORY}/openecomp/policy/$image:${MVN_VERSION}-${TIMESTAMP}
done